using System.CommandLine;
using MycroForge.CLI.Commands.Interfaces;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public partial class Orm : Command, ISubCommandOf<MycroForge>
    {
        public Orm(IEnumerable<ISubCommandOf<Orm>> subCommands)
            : base("orm", "ORM related commands")
        {
            foreach (var subCommandOf in subCommands.Cast<Command>())
                AddCommand(subCommandOf);
        }
    }
}